/**
 * Theme Name:     K-Tech
 * Author:         K-Tech
 * Template:       flatsome
 * Text Domain:	   k-tech
 * Description:    Theme Build by Dai
 * Theme URI:      https://k-tech.net.vn/
 * Author URI:     https://k-tech.net.vn/
 * Version:        20250916
 * License:        2NRJM-B46WR-K6VQR-Y4T3D-QRWPX
 * License URI:    https://k-tech.net.vn/
 */
body {
  background: red;
  font-family: 'Arial';
}
@font-face {
  font-family: 'Arial M';
  src: url('assets/font/Arial-Mdm.eot');
  src: url('assets/font/Arial-Mdm.eot?#iefix') format('embedded-opentype'),
  url('assets/font/Arial-Mdm.woff2') format('woff2'),
  url('assets/font/Arial-Mdm.woff') format('woff'),
  url('assets/font/Arial-Mdm.ttf') format('truetype'),
  url('assets/font/Arial-Mdm.svg#Arial-Mdm') format('svg');
  font-weight: 500;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: 'Arial Bi';
  src: url('assets/font/Arial-BlackItalic.eot');
  src: url('assets/font/Arial-BlackItalic.eot?#iefix') format('embedded-opentype'),
  url('assets/font/Arial-BlackItalic.woff2') format('woff2'),
  url('assets/font/Arial-BlackItalic.woff') format('woff'),
  url('assets/font/Arial-BlackItalic.ttf') format('truetype'),
  url('assets/font/Arial-BlackItalic.svg#Arial-BlackItalic') format('svg');
  font-weight: 900;
  font-style: italic;
  font-display: swap;
}

@font-face {
  font-family: 'Arial I';
  src: url('assets/font/Arial-ItalicMT.eot');
  src: url('assets/font/Arial-ItalicMT.eot?#iefix') format('embedded-opentype'),
  url('assets/font/Arial-ItalicMT.woff2') format('woff2'),
  url('assets/font/Arial-ItalicMT.woff') format('woff'),
  url('assets/font/Arial-ItalicMT.ttf') format('truetype'),
  url('assets/font/Arial-ItalicMT.svg#Arial-ItalicMT') format('svg');
  font-weight: normal;
  font-style: italic;
  font-display: swap;
}

@font-face {
  font-family: 'Arial Bm';
  src: url('assets/font/Arial-BoldMT.eot');
  src: url('assets/font/Arial-BoldMT.eot?#iefix') format('embedded-opentype'),
  url('assets/font/Arial-BoldMT.woff2') format('woff2'),
  url('assets/font/Arial-BoldMT.woff') format('woff'),
  url('assets/font/Arial-BoldMT.ttf') format('truetype'),
  url('assets/font/Arial-BoldMT.svg#Arial-BoldMT') format('svg');
  font-weight: bold;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: 'Arial';
  src: url('assets/font/ArialMT.eot');
  src: url('assets/font/ArialMT.eot?#iefix') format('embedded-opentype'),
  url('assets/font/ArialMT.woff2') format('woff2'),
  url('assets/font/ArialMT.woff') format('woff'),
  url('assets/font/ArialMT.ttf') format('truetype'),
  url('assets/font/ArialMT.svg#ArialMT') format('svg');
  font-weight: normal;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: 'Arial';
  src: url('assets/font/Arial-BoldItalicMT.eot');
  src: url('assets/font/Arial-BoldItalicMT.eot?#iefix') format('embedded-opentype'),
  url('assets/font/Arial-BoldItalicMT.woff2') format('woff2'),
  url('assets/font/Arial-BoldItalicMT.woff') format('woff'),
  url('assets/font/Arial-BoldItalicMT.ttf') format('truetype'),
  url('assets/font/Arial-BoldItalicMT.svg#Arial-BoldItalicMT') format('svg');
  font-weight: bold;
  font-style: italic;
  font-display: swap;
}
.registration-form-container {
  margin: 0 auto;
  padding: 20px;
  padding-bottom: 0px;
  border-radius: 8px;
  box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
  background-color: #fff;
}
.registration-form-container.recruit-form {
  box-shadow: none;
}
.registration-form-container.recruit-form h3 {
  font-size: 1.5rem;
  margin-bottom: 1rem;
  color: var(--primary-color) ;
}
.registration-form-container span.wpcf7-form-control-wrap {
  margin-bottom: 1rem;
}

.registration-form-container span.wpcf7-form-control-wrap input {
  width: 100%;
  border: 1px solid #ddd;
  border-radius: 4px;
  font-size: 1rem;
  box-sizing: border-box;
  margin-bottom: 1rem;
}

/*************** ADD CUSTOM CSS HERE.   ***************/

.widget_tag_cloud a,
.compact-tag {
  display: inline-block;
  padding: 6px 12px;
  margin: 4px 6px 4px 0;
  border: 1px solid #e0e0e0;
  border-radius: 4px;
  font-size: 14px;
  color: #333;
  text-decoration: none;
  transition: all 0.3s ease;
  line-height: 1.4;
  background-color: #fff;
  box-sizing: border-box;
}
.bg-primary {
  background-color: var(--primary-color)  !important;
}
.khaigiang_page .inner_form form {
  display: flex;
  align-items: flex-end;
}

.khaigiang_page .inner_form form>div {
  width: 25%;
}

.khaigiang_page .inner_form form select {
  box-shadow: inset 0 -1.8em 1em 0 transparent;
  padding: 0.5rem 1rem;
  border-radius: 0.375rem;
  border: 1px solid #d1d5db !important;
}
.khaigiang_page .inner_form form button {
  background: var(--primary-color);
  border-radius: 0.375rem;
  width: 100%;
  line-height: 1;
}

.khaigiang_page .wrap_body {
  padding: 1.5rem;
}

.khaigiang_page .p-6 {
  --tw-shadow: 0 10px 15px -3px rgba(0, 0, 0, 0.1), 0 4px 6px -2px rgba(0, 0, 0, 0.05);
  box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);
  background: #fff;
}

.khaigiang_page .container {
  padding-bottom: 3rem;
  padding-top: 3rem;
}
.bg-schedule-gray {
  background: #F5F5F7;
}
#request-popup {
  display: none;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 9999;
}

.popup-overlay {
  position: absolute;
  width: 100%;
  height: 100%;
  background: rgba(0,0,0,0.5);
}

.popup-box {
  position: absolute;
  max-width: 500px;
  background: #fff;
  z-index: 2;
  padding: 20px;
  height: 45%;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  border-radius: 8px;
  height: auto;
  display: flex;
  align-items: center;
  justify-content: center;
}
.khaigiang_page .wrap_body thead th {
  text-align: center;
}
.item_block_recruit {
  transition: all 0.3s ease;
  border-radius: 0.5rem;
  border: 1px solid #e5e7eb;
  overflow: hidden;
  margin-bottom: 30px;
}
.post-item .post-title {
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 2;
  overflow: hidden;
  height: 42px;
}

.item_block_recruit:hover {
  box-shadow: 0 10px 15px -3px rgba(0, 0, 0, 0.1);
  transform: translateY(-2px);
}
.recruit-wrapper form.recruit-filter {}

.recruit-wrapper form.recruit-filter select {
  --tw-shadow: 0 1px 2px 0 rgba(0, 0, 0, 0.05);
  box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);
  width: 250px;
  border-radius: 12px;
}


.recruit-wrapper form.recruit-filter button {
  padding: 0 !important;
  background: var(--primary-color);
  color: #000 !important;
  border-radius: 7px;
  padding: 0 15px !important;
}
.card_footer {
  padding: 1rem 1.5rem;
  background-color: #f9fafb;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.job_full_description {
  max-height: 0;
  overflow: hidden;
  transition: max-height 0.3s ease-out;
}
.job_full_description.expanded {
  max-height: 2000px; /* Giá trị đủ lớn để chứa nội dung */
}
.card_header {
  padding: 1.5rem;
  background-color: white;
}

.job_meta_grid {
  grid-template-columns: repeat(4, minmax(0, 1fr));
  gap: 0.75rem;
  margin-bottom: 1rem;
  font-size: 0.875rem;
  line-height: 1.25rem;
  color: var(--company-gray);
  display: grid;
}
.card_header {
  padding: 1.5rem;
  background-color: white;
}

.btn-details {
  display: inline-flex;
  align-items: center;
  color: var(--company-darkRed);
  font-weight: 500;
  padding: 0rem 0.5rem;
  border-radius: 0.375rem;
  transition: all 0.3s ease;
}

.btn-details:hover {
  background-color: var(--company-red);
}

.btn-apply {
  background-color: var(--primary-color) ;
  color: #000;
  font-weight: 700;
  border-radius: 0.375rem;
  transition: all 0.3s ease;
  padding:  0.5rem;
}

.btn-apply:hover {
  background-color: var(--fs-color-secondary);
  color: white;
}
.card_header .tagg {
  display: inline-flex;
  align-items: center;
  padding: 0.25rem 0.5rem;
  font-size: 0.875rem;
  font-weight: 600;
  color: #065f46;
  height: 30px;
}
.contact-card {
  font-size: 18px;
  color: var(--fs-color-secondary);
}
.btn-register {
  border-radius: 10px;
}
.item_file .item_header {
  display: flex;
  align-items: center;
  justify-content: space-between;
}
.toggle_details {
  white-space: normal;
  display: flex;
  align-items: center;
  gap: 10px;
}

.toggle_details span {
  white-space: normal;
  width: max-content;
  text-decoration: underline;
}

.item_file .item_header h3.item_title {
  color: var(--primary-color);
  font-size: 1.5rem;
}

.details_content {
  transition: max-height 0.3s ease, opacity 0.3s ease;
  max-height: 0;
  overflow: hidden;
  opacity: 0;
  background-color: #f9f9f9;
  padding: 1rem;
}

.details_content.open {
  max-height: 10000px;
  opacity: 1;
}

.details_content ul {
  list-style: none;
}

.details_content ul li {
  display: flex;
  justify-content: space-between;
  margin-bottom: 2rem;
  border-bottom: 1px solid #e5e7eb;
  padding-bottom: 0.5rem;
}
a.download_link {
  background: var(--primary-color);
  color: #fff;
  border-radius: 10px;
  padding: 3px 10px;
}
.registration-form-container .wpcf7-submit {
  margin-bottom: 1rem !important;
}
.box_review  .icon-box {
  background: var(--primary-color);
  border-radius: 10px;
  overflow: hidden;
  justify-content: center;
  margin-bottom: 1rem;
}

.box_review .icon-box img {
  padding-top: 0;
  aspect-ratio: 1;
  object-fit: cover;
}

.box_review .icon-box .icon-box-text {
  display: flex;
  align-items: center;
}
.file_container h2 {
  font-size: 40px;
  font-weight: 700;
  color: #585858;
  text-transform: uppercase;
}
.contact-card {
  display: flex;
  align-items: flex-end;
  gap: 10px;
  padding: 5px 0;
}

.contact-icon {
  font-size: 40px;
  color: #e9484d;
  flex-shrink: 0;
}

.contact-info {
  display: flex;
  flex-direction: column;
  justify-content: flex-end;
}

.contact-label {
  font-size: 12px;
  font-style: italic;
  color: #a0a0a0;
  line-height: 1.2;
  margin-bottom: 2px;
  text-transform: none;
}

.contact-number {
  font-size: 20px;
  font-weight: 600;
  font-style: italic;
  color: #e9484d;
  line-height: 1;
}
.entry-content table {
    table-layout: fixed;
    width: 100%;
    border-collapse: collapse;
    width: 100%;
}

.entry-content table:not(thead) tr:first-child {
    border-bottom: 3px solid;
}

.entry-content td, .entry-content th {
    border: 1px solid;
    padding: .5em;
}
@media only screen and (max-width: 48em) {
  /*************** ADD MOBILE ONLY CSS HERE  ***************/
}
